<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return redirect('/api-docs/index.html');
});

// Sanctum 인증을 사용하는 웹 라우트
Route::middleware(['auth:sanctum', config('jetstream.auth_session'), 'verified'])->group(function () {

    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');

});

// Swagger 설정
Route::get('/docs/api-docs.json', function () {
    return response()->file(storage_path('api-docs/api-docs.json'));
});
Route::middleware('swagger.auth')->group(function () {
    Route::get('/api/documentation', function () {
        return response()->file(public_path('swagger-ui/index.html'));
    });
});
